summaryrefslogtreecommitdiff
path: root/dev-python/rootpy
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/rootpy
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/rootpy')
-rw-r--r--dev-python/rootpy/Manifest1
-rw-r--r--dev-python/rootpy/metadata.xml17
-rw-r--r--dev-python/rootpy/rootpy-1.0.1-r1.ebuild51
3 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/rootpy/Manifest b/dev-python/rootpy/Manifest
new file mode 100644
index 000000000000..f9282c002149
--- /dev/null
+++ b/dev-python/rootpy/Manifest
@@ -0,0 +1 @@
+DIST rootpy-1.0.1.tar.gz 418618 BLAKE2B ce321e69d7e202877697d133ad2ba90df71cd261b206211718cb6a9ec8ee3ec085cac49526b9bb75166fafeb43f83b3f53bf231d9353f3d63fa7e4be381ce454 SHA512 db1c7edc02d1cd5a4a1940237c1e1c63d892bb92e612bdad028d14f9723a4bdc5f9b6711a135b0e099ce1895b2564b29aeb21ef0d2c3681354bf4edc9c6a325f
diff --git a/dev-python/rootpy/metadata.xml b/dev-python/rootpy/metadata.xml
new file mode 100644
index 000000000000..654b4534ac1f
--- /dev/null
+++ b/dev-python/rootpy/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>sci-physics@gentoo.org</email>
+ <name>Gentoo Physics Project</name>
+</maintainer>
+<longdescription lang="en">
+ The rootpy project is a community-driven initiative aiming to provide
+ a more pythonic interface with ROOT on top of the existing PyROOT
+ bindings.
+</longdescription>
+<upstream>
+ <remote-id type="pypi">rootpy</remote-id>
+</upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/rootpy/rootpy-1.0.1-r1.ebuild b/dev-python/rootpy/rootpy-1.0.1-r1.ebuild
new file mode 100644
index 000000000000..6b13cc9333d3
--- /dev/null
+++ b/dev-python/rootpy/rootpy-1.0.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_6 )
+PYTHON_REQ_USE="readline"
+DISTUTILS_SINGLE_IMPL=1
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic layer on top of the ROOT framework's PyROOT bindings"
+HOMEPAGE="http://rootpy.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+RDEPEND="
+ sci-physics/root:=[${PYTHON_SINGLE_USEDEP}]
+ dev-python/root_numpy[${PYTHON_SINGLE_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/matplotlib[${PYTHON_MULTI_USEDEP}]
+ dev-python/pytables[${PYTHON_MULTI_USEDEP}]
+ dev-python/termcolor[${PYTHON_MULTI_USEDEP}]
+ ')"
+
+DEPEND="
+ sci-physics/root[${PYTHON_SINGLE_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/nose[${PYTHON_MULTI_USEDEP}]
+ ')
+ )"
+
+# TOFIX: tests go in an infinite loop error
+RESTRICT=test
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ nosetests -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ fi
+}